[Previous] [Next] [Contents]

## `SG::Rd2Perm` -- calculates a permutation from a decomposition

#### Call(s)

`SG::Rd2Perm(rd <,n>)`

#### Parameters

`rd` | - | any list denoting a decomposition
`n` | - | degree of a symmetric group (positive integer)

#### Introduction

The `SG::Rd2Perm` function calculates the permutation corresponding to the list `rd`, the entries of `rd` being interpreted as simple transpositions. Let `rd`=[i,j,k,...], then ``SG::Rd2Perm`(rd)`= `MultPerm`(si, sj, sk, ...) where si stands for `SgTranspo`(i, n).

When the second argument is not present, `n` is the smallest possible degree.

The decomposition needs not to be reduced.

#### Example 1

    >> muEC::SG::Rd2Perm( [1,2,1], 5 );

                                  [3, 2, 1, 4, 5]

    >> muEC::SG::Rd2Perm( [1,2,1] );

                                     [3, 2, 1]

#### Related Functions

`Perm2Rd`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package